Push an expiry to Asana as a task

posthttps://api.expiryedge.com/v1/integrations/asana/syncExpiry
editor or admin60/minJede Methode
Anfrage
curl -X POST 'https://api.expiryedge.com/v1/integrations/asana/syncExpiry' \
  -H "Authorization: Bearer $EXPIRYEDGE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "expiryId": "exp_4Tq9sLm2",
  "workspaceGid": "1200000000000001",
  "projectGid": "1200000000000042"
}'
Antwort
{
  "success": true,
  "task": {
    "gid": "1200000000000777",
    "name": "Dental board license",
    "url": "https://app.asana.com/0/1200000000000042/1200000000000777"
  }
}

Creates the task, or updates the linked task (recreating it if it was deleted in Asana). 404 if the expiry is not in your organization.

Body-Parameter

application/json
  • expiryIdstringerforderlich
  • workspaceGidstringerforderlich
  • projectGidstring
  • assigneeGidstring

Rückgabe

200
Task created or updated and linked to the expiry.
  • successboolean
    Erlaubttrue
  • taskobject

Fehler

400
The user has no organization, the provider is not connected, validation failed, or the provider API call failed.
401
Missing, expired or invalid bearer token.
403
Authenticated, but your role or organization does not allow this action.
404
The record does not exist or is not in your organization.
429
Too many requests for this endpoint from your IP. Wait Retry-After seconds.